From aeed4d1f15ce84a17ea0bc219e258dc4982b2368 Mon Sep 17 00:00:00 2001
From: Jose Dapena Paz <jose.dapena@lge.com>
Date: Fri, 26 Apr 2019 20:07:05 +0000
Subject: [PATCH] libstdc++: do not assume unique_ptr has ostream operator
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

CompositorFrameReportingController is using DCHECK_NE to compare
several unique_ptr. This is valid in libc++, but on libstdc++ unique_ptr
does not have an ostream operator.

Change-Id: I9f23ef17f02b9e107694ba493f6f8f3caf5cac4d
Reviewed-on: https://chromium-review.googlesource.com/c/chromium/src/+/1584292
Reviewed-by: Sunny Sachanandani <sunnyps@chromium.org>
Commit-Queue: José Dapena Paz <jose.dapena@lge.com>
Cr-Commit-Position: refs/heads/master@{#654570}
---
 cc/scheduler/compositor_frame_reporting_controller.cc | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/cc/scheduler/compositor_frame_reporting_controller.cc b/cc/scheduler/compositor_frame_reporting_controller.cc
index f1587ed158..1b17021fd2 100644
--- a/cc/scheduler/compositor_frame_reporting_controller.cc
+++ b/cc/scheduler/compositor_frame_reporting_controller.cc
@@ -31,8 +31,8 @@ void CompositorFrameReportingController::WillBeginImplFrame() {
 
 void CompositorFrameReportingController::WillBeginMainFrame() {
   DCHECK(reporters_[PipelineStage::kBeginImplFrame]);
-  DCHECK_NE(reporters_[PipelineStage::kBeginMainFrame],
-            reporters_[PipelineStage::kBeginImplFrame]);
+  DCHECK(reporters_[PipelineStage::kBeginMainFrame] !=
+         reporters_[PipelineStage::kBeginImplFrame]);
   reporters_[PipelineStage::kBeginImplFrame]->StartStage(
       "SendBeginMainFrameToCommit");
   AdvanceReporterStage(PipelineStage::kBeginImplFrame,
